org.eclipse.modisco.util.emf.core.subclasses

## Class SubClassesUtils

- java.lang.Object
- - org.eclipse.modisco.util.emf.core.subclasses.SubClassesUtils

    public final class SubClassesUtils
    extends java.lang.Object

Since:
  1.0.0

### Method Summary

All Methods Static Methods Concrete Methods
`static java.util.List<EClass>` `getSubClasses(EClass eClass)`
`static void` `initAdapters(EPackage ePackage)` Careful this method must be used wisely! It will add an `Adapter` on each `EClass` on your `EPackage`.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getSubClasses

    public static java.util.List<EClass> getSubClasses(EClass eClass)

#### initAdapters

    public static void initAdapters(EPackage ePackage)

Careful this method must be used wisely! It will add an `Adapter` on each `EClass` on your `EPackage`. If you call this method several times, the previous Adapters won't be erased. Just call it when your EPackage is not in the `EPackage.Registry` or if the initialization is already done (the `getSubClasses(EClass)` has been already called)